Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x04_w08_01.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x4_w8_01.cfg	(revision 133)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x04_w08_01.cfg	(revision 134)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1" ?>
 
-<core name="Instance_x4_w8_1">
+<core name="Instance_x4_w8_01">
 
   <thread id="0,1,2,3">             
@@ -36,5 +36,5 @@
   </rename_bloc>                                            
                                                             
-  <read_bloc id="0,1,2,3,4,5,6,7,8,9,10">                                        
+  <read_bloc id="0,1,2,3,4,5,6,7,8,9,10,11,12" >                                 
     <parameter name="size_read_queue"                       value="4" />
     <parameter name="size_reservation_station"              value="8" />
@@ -42,5 +42,5 @@
   </read_bloc>                                              
 
-  <write_bloc id="0,1,2,3,4,5,6,7,8,9,10" >
+  <write_bloc id="0,1,2,3,4,5,6,7,8,9,10,11,12" >
     <parameter name="size_write_queue"                      value="8" />
     <parameter name="size_execute_queue"                    value="4" />
@@ -70,8 +70,23 @@
     <parameter name="nb_inst_functionnal_unit" value="1" />
 
+    <timing type="8"  latence="1" delay="1" />
     <timing type="10" latence="1" delay="1" />
   </functionnal_unit>
 
-  <functionnal_unit id="2,3,4,5,6,7,8,9" >
+  <functionnal_unit id="2">
+    <parameter name="nb_inst_functionnal_unit" value="1" />
+
+    <timing type="8"  latence="1" delay="1" />
+    <timing type="10" latence="1" delay="1" />
+  </functionnal_unit>
+
+  <functionnal_unit id="3">
+    <parameter name="nb_inst_functionnal_unit" value="1" />
+
+    <timing type="8"  latence="1" delay="1" />
+    <timing type="10" latence="1" delay="1" />
+  </functionnal_unit>
+
+  <functionnal_unit id="4,5,6,7,8,9,10,11" />
     <parameter name="nb_inst_functionnal_unit" value="1" />
 
@@ -175,4 +190,6 @@
   <link name="link_read_unit_with_read_bloc"           src="9"     dest="0.9" />
   <link name="link_read_unit_with_read_bloc"           src="10"    dest="0.10"/>
+  <link name="link_read_unit_with_read_bloc"           src="11"    dest="0.11"/>
+  <link name="link_read_unit_with_read_bloc"           src="12"    dest="0.12"/>
 
   <link name="link_write_unit_with_write_bloc"         src="0"     dest="0.0" />
@@ -336,4 +353,6 @@
   <link name="link_read_bloc_and_load_store_unit"      src="9.0"   dest="0"   />
   <link name="link_read_bloc_and_load_store_unit"      src="10.0"  dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="11.0"  dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="12.0"  dest="0"   />
 
   <link name="link_read_bloc_and_load_store_unit"      src="0.1"   dest="1"   />
@@ -348,4 +367,6 @@
   <link name="link_read_bloc_and_load_store_unit"      src="9.1"   dest="0"   />
   <link name="link_read_bloc_and_load_store_unit"      src="10.1"  dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="11.1"  dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="12.1"  dest="0"   />
 
   <link name="link_read_bloc_and_load_store_unit"      src="0.2"   dest="1"   />
@@ -360,4 +381,6 @@
   <link name="link_read_bloc_and_load_store_unit"      src="9.2"   dest="0"   />
   <link name="link_read_bloc_and_load_store_unit"      src="10.2"  dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="11.2"  dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="12.2"  dest="0"   />
 
   <link name="link_read_bloc_and_load_store_unit"      src="0.3"   dest="1"   />
@@ -372,9 +395,11 @@
   <link name="link_read_bloc_and_load_store_unit"      src="9.3"   dest="0"   />
   <link name="link_read_bloc_and_load_store_unit"      src="10.3"  dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="11.3"  dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="12.3"  dest="0"   />
 
   <link name="link_read_bloc_and_functionnal_unit"     src="0.0"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="1.0"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="2.0"   dest="0"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="3.0"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="2.0"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="3.0"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="4.0"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="5.0"   dest="0"   />
@@ -384,9 +409,11 @@
   <link name="link_read_bloc_and_functionnal_unit"     src="9.0"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="10.0"  dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="11.0"  dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="12.0"  dest="0"   />
 
   <link name="link_read_bloc_and_functionnal_unit"     src="0.1"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="1.1"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="2.1"   dest="0"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="3.1"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="2.1"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="3.1"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="4.1"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="5.1"   dest="0"   />
@@ -396,33 +423,39 @@
   <link name="link_read_bloc_and_functionnal_unit"     src="9.1"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="10.1"  dest="0"   />
-
-  <link name="link_read_bloc_and_functionnal_unit"     src="0.2"   dest="0"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="1.2"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="11.1"  dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="12.1"  dest="0"   />
+
+  <link name="link_read_bloc_and_functionnal_unit"     src="0.2"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="1.2"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="2.2"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="3.2"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="4.2"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="5.2"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="6.2"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="7.2"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="8.2"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="9.2"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="10.2"  dest="1"   />
-
-  <link name="link_read_bloc_and_functionnal_unit"     src="0.3"   dest="0"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="1.3"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="4.2"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="5.2"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="6.2"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="7.2"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="8.2"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="9.2"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="10.2"  dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="11.2"  dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="12.2"  dest="0"   />
+
+  <link name="link_read_bloc_and_functionnal_unit"     src="0.3"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="1.3"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="2.3"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="3.3"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="4.3"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="5.3"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="6.3"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="7.3"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="8.3"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="9.3"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="10.3"  dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="4.3"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="5.3"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="6.3"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="7.3"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="8.3"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="9.3"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="10.3"  dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="11.3"  dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="12.3"  dest="0"   />
 
   <link name="link_read_bloc_and_functionnal_unit"     src="0.4"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="1.4"   dest="0"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="2.4"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="3.4"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="2.4"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="3.4"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="4.4"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="5.4"   dest="1"   />
@@ -432,9 +465,11 @@
   <link name="link_read_bloc_and_functionnal_unit"     src="9.4"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="10.4"  dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="11.4"  dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="12.4"  dest="1"   />
 
   <link name="link_read_bloc_and_functionnal_unit"     src="0.5"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="1.5"   dest="0"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="2.5"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="3.5"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="2.5"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="3.5"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="4.5"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="5.5"   dest="1"   />
@@ -444,9 +479,11 @@
   <link name="link_read_bloc_and_functionnal_unit"     src="9.5"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="10.5"  dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="11.5"  dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="12.5"  dest="1"   />
 
   <link name="link_read_bloc_and_functionnal_unit"     src="0.6"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="1.6"   dest="0"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="2.6"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="3.6"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="2.6"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="3.6"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="4.6"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="5.6"   dest="1"   />
@@ -456,9 +493,11 @@
   <link name="link_read_bloc_and_functionnal_unit"     src="9.6"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="10.6"  dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="11.6"  dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="12.6"  dest="1"   />
 
   <link name="link_read_bloc_and_functionnal_unit"     src="0.7"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="1.7"   dest="0"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="2.7"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="3.7"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="2.7"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="3.7"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="4.7"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="5.7"   dest="1"   />
@@ -468,9 +507,11 @@
   <link name="link_read_bloc_and_functionnal_unit"     src="9.7"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="10.7"  dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="11.7"  dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="12.7"  dest="1"   />
 
   <link name="link_read_bloc_and_functionnal_unit"     src="0.8"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="1.8"   dest="0"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="2.8"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="3.8"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="2.8"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="3.8"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="4.8"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="5.8"   dest="1"   />
@@ -480,9 +521,11 @@
   <link name="link_read_bloc_and_functionnal_unit"     src="9.8"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="10.8"  dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="11.8"  dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="12.8"  dest="1"   />
 
   <link name="link_read_bloc_and_functionnal_unit"     src="0.9"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="1.9"   dest="0"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="2.9"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="3.9"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="2.9"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="3.9"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="4.9"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="5.9"   dest="1"   />
@@ -492,4 +535,34 @@
   <link name="link_read_bloc_and_functionnal_unit"     src="9.9"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="10.9"  dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="11.9"  dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="12.9"  dest="1"   />
+
+  <link name="link_read_bloc_and_functionnal_unit"     src="0.10"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="1.10"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="2.10"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="3.10"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="4.10"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="5.10"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="6.10"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="7.10"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="8.10"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="9.10"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="10.10"  dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="11.10"  dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="12.10"  dest="1"   />
+
+  <link name="link_read_bloc_and_functionnal_unit"     src="0.11"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="1.11"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="2.11"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="3.11"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="4.11"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="5.11"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="6.11"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="7.11"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="8.11"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="9.11"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="10.11"  dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="11.11"  dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="12.11"  dest="1"   />
 
   <link name="link_write_bloc_and_load_store_unit"     src="0.0"   dest="1"   />
